Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454413 - [notice] child pid 24509 exit signal Segmentation fault (11), possible coredump in /tmp
Summary: [notice] child pid 24509 exit signal Segmentation fault (11), possible coredu...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: mod_python
Version: 5.2
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Web Stack Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-08 11:45 UTC by Jóhann B. Guðmundsson
Modified: 2013-03-13 16:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-13 16:25:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
Childs Core dump (deleted)
2008-07-08 11:45 UTC, Jóhann B. Guðmundsson
no flags Details
rpm-yum-gdb output. (deleted)
2008-07-16 12:15 UTC, Jóhann B. Guðmundsson
no flags Details
debug-httpd-gdb.txt (deleted)
2008-07-16 13:12 UTC, Jóhann B. Guðmundsson
no flags Details

Description Jóhann B. Guðmundsson 2008-07-08 11:45:54 UTC
Description of problem:

Child segmentations faults...

Version-Release number of selected component (if applicable):

[root@brimir tmp]# rpm -qa | grep httpd && rpm -qa | grep mod_python
httpd-2.2.3-11.el5_1.3
httpd-manual-2.2.3-11.el5_1.3
httpd-devel-2.2.3-11.el5_1.3
httpd-devel-2.2.3-11.el5_1.3
system-config-httpd-1.3.3.3-1.el5
mod_python-3.2.8-3.1


How reproducible:

Always.

Steps to Reproduce:
1. Start the daemon and childs starts dying..
2.
3.
  
Actual results:

Segmentation fault 

Expected results:

No Segmentation fault 

Additional info:

Core was generated by `/usr/sbin/httpd'.
Program terminated with signal 11, Segmentation fault.
#0  0x00002aaab9e6de1b in PyImport_GetModuleDict () from
/usr/lib64/libpython2.4.so.1.0
(gdb) where
#0  0x00002aaab9e6de1b in PyImport_GetModuleDict () from
/usr/lib64/libpython2.4.so.1.0
#1  0x00002aaab9e6de6b in PyImport_AddModule () from /usr/lib64/libpython2.4.so.1.0
#2  0x00002aaab9e74578 in Py_InitModule4 () from /usr/lib64/libpython2.4.so.1.0
#3  0x00002af5a695b743 in inittime () from
/usr/lib64/python2.4/lib-dynload/timemodule.so
#4  0x00002aaabb8b9fed in ?? ()
#5  0x0000000000000000 in ?? ()

Comment 1 Jóhann B. Guðmundsson 2008-07-08 11:45:56 UTC
Created attachment 311253 [details]
Childs Core dump

Comment 2 Joe Orton 2008-07-08 22:26:37 UTC
Can you be more specific about the cause of the problem?

1) are children dying in response to particular requests?
2) what mod_python configuration is being used?

Comment 3 Jóhann B. Guðmundsson 2008-07-10 12:55:30 UTC
I removed the httpd-manual rpm and hashed out 
<Directory "/var/www/manual/mod/mod_python> entry 
in /etc/httpd/conf.d/python.conf ( the only one that was unhased )
but kept the module loaded ( we are not even using it ) 
and segmentation faults stopped
( well atleast for the last 24 hours so far so good ).

Comment 4 Joe Orton 2008-07-16 10:47:49 UTC
I'm unable to reproduce this here.  Can you do:

# rpm -V httpd mod_python python
# debuginfo-install --enablerepo=rhel-debuginfo mod_python httpd python
...

then gdb /usr/sbin/httpd /path/to/core

and then enter "bt" to get a backtrace?


Comment 5 Jóhann B. Guðmundsson 2008-07-16 12:15:00 UTC
Created attachment 311945 [details]
rpm-yum-gdb output.

Here you go :)

As I mentioned after I removed httpd-manual and hashed 
out the relevant section in /etc/httpd/conf.d/python.conf
apache stopped segfaulting

Comment 6 Joe Orton 2008-07-16 12:29:50 UTC
Ah, you've transposed "debuginfo-install" with "yum -y install" there!

debuginfo-install will install the set of debuginfo packages necessary to debug
this further.



Comment 7 Jóhann B. Guðmundsson 2008-07-16 13:12:04 UTC
Created attachment 311948 [details]
debug-httpd-gdb.txt

Here you go take2... :)

Since I did not have yum-utils installed and never used debuginfo-install
I presumed that you where meaning yum.

Comment 8 Alexandre Thieme Reis 2009-06-17 02:03:53 UTC
I have the same problem when i enable php support to httpd

Reported in: /var/log/httpd/error_log

[Tue Jun 16 22:31:29 2009] [debug] proxy_util.c(1801): proxy: grabbed scoreboard slot 0 in child 573 for worker proxy:reverse                                                                                           
[Tue Jun 16 22:31:29 2009] [debug] proxy_util.c(1820): proxy: worker proxy:reverse already initialized      
[Tue Jun 16 22:31:29 2009] [debug] proxy_util.c(1914): proxy: initialized single connection worker 0 in child 573 for (*)                                                                                               
[Tue Jun 16 22:31:29 2009] [notice] child pid 541 exit signal Segmentation fault (11)                       
[Tue Jun 16 22:31:29 2009] [notice] child pid 542 exit signal Segmentation fault (11)                       
[Tue Jun 16 22:31:29 2009] [notice] child pid 543 exit signal Segmentation fault (11)                       
[Tue Jun 16 22:31:29 2009] [notice] child pid 544 exit signal Segmentation fault (11)                       
[Tue Jun 16 22:31:29 2009] [notice] child pid 545 exit signal Segmentation fault (11)      
...

This problem appeared after upgrade to fedora 11.
My configuration is accurately the same of my fedora 10.

Comment 9 Alexandre Thieme Reis 2009-06-17 16:49:43 UTC
Please, disrespects the commentary above, the true causer is mod_nss

Reported in: /var/log/httpd/error_log

[Wed Jun 17 13:44:01 2009] [debug] proxy_util.c(1820): proxy: worker proxy:reverse already initialized                    
[Wed Jun 17 13:44:01 2009] [debug] proxy_util.c(1914): proxy: initialized single connection worker 0 in child 14832 for (*)                                                                                                                         
[Wed Jun 17 13:44:01 2009] [notice] child pid 14827 exit signal Segmentation fault (11)                                   
[Wed Jun 17 13:44:01 2009] [notice] child pid 14828 exit signal Segmentation fault (11)                                   
[Wed Jun 17 13:44:01 2009] [notice] child pid 14829 exit signal Segmentation fault (11)                                   
[Wed Jun 17 13:44:01 2009] [notice] child pid 14830 exit signal Segmentation fault (11)                                   
[Wed Jun 17 13:44:01 2009] [notice] child pid 14832 exit signal Segmentation fault (11)                                   
[Wed Jun 17 13:44:01 2009] [notice] child pid 14833 exit signal Segmentation fault (11)                                   
[Wed Jun 17 13:44:01 2009] [notice] child pid 14834 exit signal Segmentation fault (11)

If i remove mod_nss httpd (without https support) work fine! 

This problem appeared after upgrade to fedora 11.
My configuration is accurately the same of my fedora 10.

Comment 10 Alexandre Thieme Reis 2009-06-18 13:52:23 UTC
I install nss from testing repository and and now httpd work fine!

Packages installed from testing repository:
nss-3.12.3.99.3-2.11.2.fc11.i586
nss-tools-3.12.3.99.3-2.11.2.fc11.i586
nss_ldap-264-2.fc11.i586
nss-softokn-freebl-3.12.3.99.3-2.11.2.fc11.i586

Comment 11 Patrick 2009-06-23 09:24:34 UTC
I had the same problem with 2 machines after an upgrade F10=>F11
the nss upgrade solved the issue

Thanks

Comment 12 RHEL Product and Program Management 2012-09-18 18:05:12 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Comment 13 Jan Kaluža 2012-10-03 08:56:07 UTC
Can you still reproduce it? If yes, what's the output of:

ldd /etc/httpd/modules/mod_python.so

Also, if you have mod_wsgi installed, can you paste also output of:

ldd /etc/httpd/modules/mod_wsgi.so

I'm not able to reproduce it so far.

Comment 14 Joe Orton 2013-03-13 16:25:19 UTC
We've been unable to reproduce this internally; I'm closing this bug.  If you have further issues please contact Red Hat Support for assistance.


Note You need to log in before you can comment on or make changes to this bug.